> This page is for API Reference.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://okx-demo.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://okx-demo.ferndocs.com/_mcp/server.

# Get asset valuation

GET https://www.okx.com/api/v5/asset/asset-valuation

Retrieve the total valuation of all assets across accounts, denominated in a specified currency.

Reference: https://okx-demo.ferndocs.com/api/api-reference/funding/get-asset-valuation

## Authentication

- `OK-ACCESS-KEY` header (required) — Your API key.
- `OK-ACCESS-SIGN` header (required) — Base64-encoded HMAC-SHA256 signature of the prehash string.
- `OK-ACCESS-TIMESTAMP` header (required) — ISO 8601 UTC timestamp, e.g. 2020-12-08T09:08:57.715Z.
- `OK-ACCESS-PASSPHRASE` header (required) — The passphrase you set when creating the API key.

## Request

### Query parameters

- `ccy` (string, optional) — Asset valuation calculation unit, e.g. BTC, USDT, or a fiat such as USD, CNY. Default is the user's preferred unit.

## Response

### 200

Successful response

- `code` (string, optional) — Result code. `0` means success; any other value is an error code.
- `msg` (string, optional) — Error message. Empty on success.
- `data` (list of ApiV5AssetAssetValuationGetResponsesContentApplicationJsonSchemaDataItems, optional)

## Types

### ApiV5AssetAssetValuationGetResponsesContentApplicationJsonSchemaDataItems

- `totalBal` (string, optional) — Valuation of total assets of the account in the requested unit.
- `ts` (string, optional) — Update time, Unix timestamp in milliseconds.
- `details` (ApiV5AssetAssetValuationGetResponsesContentApplicationJsonSchemaDataItemsDetails, optional) — Assets valuation details for each account type.

### ApiV5AssetAssetValuationGetResponsesContentApplicationJsonSchemaDataItemsDetails

Assets valuation details for each account type.

- `funding` (string, optional) — Funding account valuation.
- `trading` (string, optional) — Trading account valuation.
- `classic` (string, optional) — [Deprecated] Classic account valuation.
- `earn` (string, optional) — Earn account valuation.

## Examples

**Response**

```json
{
  "code": "0",
  "msg": "",
  "data": [
    {
      "totalBal": "3790.09",
      "ts": "1637566660769",
      "details": {
        "funding": "0.09",
        "trading": "2544.28",
        "classic": "124.6",
        "earn": "1122.73"
      }
    }
  ]
}
```

**SDK Code**

```python funding_getAssetValuation_example
import requests

url = "https://www.okx.com/api/v5/asset/asset-valuation"

headers = {"OK-ACCESS-KEY": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript funding_getAssetValuation_example
const url = 'https://www.okx.com/api/v5/asset/asset-valuation';
const options = {method: 'GET', headers: {'OK-ACCESS-KEY': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go funding_getAssetValuation_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://www.okx.com/api/v5/asset/asset-valuation"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("OK-ACCESS-KEY", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby funding_getAssetValuation_example
require 'uri'
require 'net/http'

url = URI("https://www.okx.com/api/v5/asset/asset-valuation")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["OK-ACCESS-KEY"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java funding_getAssetValuation_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://www.okx.com/api/v5/asset/asset-valuation")
  .header("OK-ACCESS-KEY", "<apiKey>")
  .asString();
```

```php funding_getAssetValuation_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://www.okx.com/api/v5/asset/asset-valuation', [
  'headers' => [
    'OK-ACCESS-KEY' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp funding_getAssetValuation_example
using RestSharp;

var client = new RestClient("https://www.okx.com/api/v5/asset/asset-valuation");
var request = new RestRequest(Method.GET);
request.AddHeader("OK-ACCESS-KEY", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift funding_getAssetValuation_example
import Foundation

let headers = ["OK-ACCESS-KEY": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://www.okx.com/api/v5/asset/asset-valuation")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```